Subject: signing tags: user.name assumed to be gpg uid?

From: Peter Vereshagin <[email-masked]>
Date: Wed, 30 Dec 2009 00:36:37 +0400

Como esta, git?

I notice that after I init and config user.name and user.email the user.comment gets taken from ~/.gpg automatically. Is it a correct behaviour?
And, when I try
git tag v0.1 -s
I get :
===
gpg: skipped "Peter Vereshagin <[email-masked]>": secret key not available
===
and this is because I need to config user.name with the gpg comment: when I 
===
git config --global user.name "Peter Vereshagin (http://vereshagin.org)"
===
the git tag signs well. But is it a correct behaviour to need the comment as a user's name? On key editing the gpg makes difference between (N)ame and (C)omment by far.

73! Peter pgp: A0E26627 (4A42 6841 2871 5EA7 52AB  12F8 0CE1 4AAC A0E2 6627)
-- 
http://vereshagin.org